POST
/
api
/
ingest
Queue trace ingestion
curl --request POST \
  --url https://selltraces.com/api/ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "traces": [
    {
      "sourceId": "<string>",
      "model": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "messages": [
        {
          "position": 4503599627370495,
          "content": "<string>",
          "tokenCount": 4503599627370495,
          "createdAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}
'
{
  "ok": true,
  "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Opaque machine token issued by the CLI login or onboarding flow.

Body

application/json

Normalized JSON traces.

traces
object[]
required
Maximum array length: 1000

Response

Upload stored and ingest job queued.

ok
boolean
required
jobId
string<uuid>
required

UUID string.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
string
required
Allowed value: "queued"